<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Кассиры</title>
    <link th:href="@{/styles/main.css}" rel="stylesheet"/>
    <link th:href="@{/styles/employees.css}" rel="stylesheet"/>
</head>
<body>
<div class="wrapper">
    <header class="header_main">
    </header>

    <div class="body_main">
        <div>
            <div class="railway_menu">
                <table class="railway_menu_table">
                    <tr>
                        <th><a th:href="@{/employees}">Работники</a></th>
                        <th><a th:href="@{/brigades}">Бригады</a></th>
                        <th>Отделы</th>
                    </tr>
                </table>
            </div>

            <div class="employees_main">
                <table class="table_content">
                    <tr>
                        <th>Номер</th>
                        <th>Имя</th>
                        <th>Фамилия</th>
                        <th>Отчество</th>
                        <th>Номер бригады</th>
                        <th>Пол</th>
                        <th>Возраст</th>
                        <th>Количество детей</th>
                        <th>Зарплата</th>
                        <th>Стаж</th>
                        <th>Должность</th>
                        <th colspan="2">
                            <form th:action="@{/cashiers/action/add}" method="get" >
                                <button class="add_button" type="submit">
                                    <img height="50" th:src="@{/images/add-button.png}" alt="Добавить"/>
                                </button>
                            </form>
                        </th>
                    </tr>

                    <tr th:each="cashier : ${cashiers}">
                        <td th:utext="${cashier.employeeID}"></td>
                        <td th:utext="${cashier.firstName}"></td>
                        <td th:utext="${cashier.lastName}"></td>
                        <td th:utext="${cashier.middleName}"></td>
                        <td th:utext="${cashier.brigadeID}"></td>
                        <td th:utext="${cashier.gender}"></td>
                        <td th:utext="${cashier.age}"></td>
                        <td th:utext="${cashier.amountChild}"></td>
                        <td th:utext="${cashier.salary}"></td>
                        <td th:utext="${cashier.standing}"></td>
                        <td th:utext="${cashier.levelName}"></td>

                        <td>
                            <form th:action="@{/cashiers/action/edit}" th:object="${editedCashier}" method="get">
                                <input type="hidden" name="employeeID" th:value="${cashier.employeeID}">
                                <input type="hidden" name="firstName" th:value="${cashier.firstName}">
                                <input type="hidden" name="lastName" th:value="${cashier.lastName}">
                                <input type="hidden" name="middleName" th:value="${cashier.middleName}">
                                <input type="hidden" name="brigadeID" th:value="${cashier.brigadeID}">
                                <input type="hidden" name="gender" th:value="${cashier.gender}">
                                <input type="hidden" name="age" th:value="${cashier.age}">
                                <input type="hidden" name="amountChild" th:value="${cashier.amountChild}">
                                <input type="hidden" name="salary" th:value="${cashier.salary}">
                                <input type="hidden" name="standing" th:value="${cashier.standing}">
                                <input type="hidden" name="levelName" th:value="${cashier.levelName}">

                                <button type="submit">
                                    <img height="25" th:src="@{/images/edit-button.png}" alt="Удалить"/>
                                </button>
                            </form>
                        </td>

                        <td>
                            <form th:action="@{/cashiers/action/delete}" th:object="${employeeID}" method="post">
                                <input type="hidden" name="employeeID" th:value="${cashier.employeeID}">
                                <button type="submit">
                                    <img height="25" th:src="@{/images/delete-button.png}" alt="Удалить"/>
                                </button>
                            </form>
                        </td>


                    </tr>
                </table>
            </div>

            <div class="employees_menu">
                <div class="specialties">
                    <ul>
                        <li><a th:href="@{/employees}">Все</a></li>
                        <li>Водители</li>
                        <li><a th:href="@{/cashiers}">Кассиры</a></li>
                        <li>Ремонтники подвижных составов</li>
                        <li>Служба подготовки составов</li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

    <footer class="footer_main">
    </footer>
</div>
</body>
</html>